LipsumBlock (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.view, class: LipsumBlock

Package org.apache.hadoop.yarn.webapp.view

# Class LipsumBlock

java.lang.Object
org.apache.hadoop.yarn.webapp.View
org.apache.hadoop.yarn.webapp.view.TextView
org.apache.hadoop.yarn.webapp.view.HtmlBlock
org.apache.hadoop.yarn.webapp.view.LipsumBlock

All Implemented Interfaces:
  `Params`, `SubView`

@LimitedPrivate({"YARN","MapReduce"}) public class LipsumBlock extends HtmlBlock

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

  `HtmlBlock.Block`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.View

  `View.ViewContext`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

  `BYTES_IN_MB, DATE_PATTERN, UNAVAILABLE`

  ### Fields inherited from class org.apache.hadoop.yarn.webapp.View

  `LOG`

  ### Fields inherited from interface org.apache.hadoop.yarn.webapp.Params

  `ERROR_DETAILS, TITLE, TITLE_LINK, USER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LipsumBlock()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `render(HtmlBlock.Block html)`
  Render a block of html.

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.HtmlBlock

  `getCallerUGI, initUserHelpInformationDiv, render, renderPartial`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.view.TextView

  `echo, echoWithoutEscapeHtml, puts, putWithoutEscapeHtml, writer`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.View

  `$, $, context, cookies, error, getInstance, inDevMode, info, injector, moreParams, outputStream, prefix, render, request, response, root, root_url, set, setTitle, setTitle, status, url`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LipsumBlock

    public LipsumBlock()

- ## Method Details

  - ### render

    public void render(HtmlBlock.Block html)
    Description copied from class: `HtmlBlock`
    Render a block of html. To be overridden by implementation.
    Specified by:
      `render` in class `HtmlBlock`
    Parameters:
      `html` - the block to render